## com.sun.jersey.spi.monitoring
Interface DispatchingListenerAdapter

    public interface DispatchingListenerAdapter

Author:
  Jakub.Podlesak@Oracle.Com, Marek Potociar (marek.potociar at oracle.com)

Method Summary
`DispatchingListener` | `adapt(DispatchingListener dispatchingListener)` Adapt a `DispatchingListener`.

Method Detail

### adapt

    DispatchingListener adapt(DispatchingListener dispatchingListener)

  Adapt a `DispatchingListener`. Returned `DispatchingListener` is responsible and MUST call corresponding methods from the other provided in method parameter.

  Parameters:
    `dispatchingListener` - the listener to adapt.
  Returns:
    the adapted listener.

Copyright © 2017 Oracle Corporation. All Rights Reserved.